Commits

Oben Sonne committed 8bdc5fe

Update test script and output

Comments (0)

Files changed (2)

tests/test-compass

 #!/bin/sh
 
-[ -z "$HGRCPATH"] && cat << EOF
+[ -z "$HGRCPATH" ] && cat << EOF
 This is not a stand-alone test script. It only works within the Mercurial test
 suite. Step into 'extra' for manual testings.
 EOF
-[ -z "$HGRCPATH"] && exit 1
+[ -z "$HGRCPATH" ] && exit 1
 
 cat >> $HGRCPATH <<EOF
 [extensions]

tests/test-compass.out

 Rev      9 dev-1.0                                           @anon [age]
 Rev      5 dev-1.1                                           @anon [age]
 -- Updating to 7
-1 files updated, 0 files merged, 0 files removed, 0 files unresolved
+0 files updated, 0 files merged, 0 files removed, 0 files unresolved
 -- hg compass
 #=============================================================================#
 #                      You are at an inactive branch head                     #
 Rev      6 dev-1.1 (feature-1.1a)                                  [age]
 Rev      5 dev-1.1                                           @anon [age]
 -- Updating to 10
-1 files updated, 0 files merged, 0 files removed, 0 files unresolved
+0 files updated, 0 files merged, 0 files removed, 0 files unresolved
 -- hg compass
 #=============================================================================#
 #                              You are at a head                              #
     
     Labels are generated dynamically (not stored anywhere) and start with `@`:
     
-    above  : revision is a head revision above your current revision
-    anon   : revision is anonymous, i.e. the only way to update to is
-             specifying its revision number
-    b-tip  : revision is tip of its branch, i.e. you'll get to this revision
-             when updating to its branch name
-    closed : revision is part of a closed branch
-    
-    Example output for a revision:
-    'Rev     15 default (quickfix)                         @b-tip [   2 hours]'
-    
-    This says that revision 15 is in branch `default` with a bookmark
-    `quickfix`. Rev. 15 is not the tip of the repository but it is the tip of
-    its branch. It has been committed 2 hours ago.
+    @above  : revision is a head revision above your current revision
+    @anon   : revision is anonymous, i.e. the only way to update to is
+              specifying its revision number
+    @b-tip  : revision is tip of its branch, i.e. you'll get to this revision
+              when updating to its branch name
+    @closed : revision is part of a closed branch
     
     Finally compass prints out an overview about all existing branches and
     prints a warning if a commit will create a new head.